%define api		0.1
%define major		0
%define girmajor	0.1
%define oname		farstream
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname} %{api}
%define girname		%mklibname %{oname}-gir %{girmajor}

Summary:	An audio/video communications framework
Name:		farstream%{api}
Version:	0.1.2
Release:	%mkrel 6
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/Farstream
Group:		Networking/Instant messaging
Source0:	http://freedesktop.org/software/farstream/releases/%{oname}/%{oname}-%{version}.tar.gz
# From upstream GIT:
Patch0:		farstream-0.1.2-fix_gtk-doc_tags.patch
Patch1:		farstream-0.1.2-gir-dep.patch
Patch2:		farstream-0.1.2-automake-1.13.patch
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.33
BuildRequires:	pkgconfig(nice) >= 0.1.0
BuildRequires:	pkgconfig(gst-python-0.10) >= 0.10.10
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
# Added 04/2012 (wally)
Obsoletes:	farsight2

%description
The Farstream (formerly Farsight) project is an effort to create a framework to
deal with all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging applications. These
applications should be able to use Farstream for all their Audio/Video
conferencing needs without having to worry about any of the lower level
streaming and NAT traversal issues.

%package -n %{libname}
Summary:	Farstream library
Group:		System/Libraries
Obsoletes:	%{_lib}farstream_0.1-0 < 0.1.1-2

%description -n %{libname}
Shared libraries for %{name}.

%package -n	gstreamer0.10-%{oname}
Summary:	Set of plugins for GStreamer used Audio/Video conferencing
Group:		Sound/Utilities
Requires:	%{libname} = %{version}-%{release}
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-nice >= 0.1.0
Requires:	gstreamer0.10-voip
# Added 04/2012 (wally)
Obsoletes:	gstreamer0.10-farsight2

%description -n gstreamer0.10-%{oname}
This is a set of plugins for GStreamer that will be used by Farstream
for Audio/Video conferencing.

%package -n   	python-%{oname}
Summary:	Python bindings for %{oname}
Group:		Development/Python
# Added 04/2012 (wally)
Obsoletes:	python-farsight2

%description -n	python-%{oname}
Python bindings for %{oname}.

%package -n %{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
# Added 04/2012 (wally)
Obsoletes:	%{_lib}farsight2-devel
Obsoletes:	%{_lib}farstream-devel < 0.1.2-5

%description -n %{develname}
Headers of %{name} for development.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-gupnp \
	--with-package-name="%{_vendor} %{name}" \
	--with-package-origin="http://www.%{_real_vendor}.org"
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/%{oname}-%{api}/*.so

%files -n gstreamer0.10-%{oname}
%{_libdir}/gstreamer-0.10/*.so
%dir %{_datadir}/%{oname}/%{api}/
%{_datadir}/%{oname}/%{api}/*

%files -n python-%{oname}
%{python_sitearch}/%{oname}.so

%files -n %{develname}
%doc ChangeLog
# Farstream build bug? (0.10 instead of 0.1)
%doc %{_datadir}/gtk-doc/html/%{oname}-libs-0.10/
%doc %{_datadir}/gtk-doc/html/%{oname}-plugins-%{api}/
%{_includedir}/%{oname}-%{api}/
%{_datadir}/gir-1.0/Farstream-%{girmajor}.gir
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/lib%{oname}-%{api}.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Farstream-%{girmajor}.typelib


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.2-6.mga4
+ Revision: 529188
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 wally <wally> 0.1.2-5.mga4
+ Revision: 450827
- rename source pkg as farstream0.1 so we can have latest version with name farstream

* Fri Jan 11 2013 umeabot <umeabot> 0.1.2-4.mga3
+ Revision: 350055
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 fwang <fwang> 0.1.2-3.mga3
+ Revision: 344614
- fix build with latest automake
- bump req
- add deps

* Tue Jan 08 2013 barjac <barjac> 0.1.2-2.mga3
+ Revision: 343039
- updated group

* Sun Jul 08 2012 wally <wally> 0.1.2-1.mga3
+ Revision: 268873
- add patch from upstream git to fix build

* Thu May 10 2012 mitya <mitya> 0.1.2-1.mga2
+ Revision: 235143
- New version 0.1.2

* Sun Apr 15 2012 wally <wally> 0.1.1-5.mga2
+ Revision: 230866
- obsolete old farsight2 pkgs as there's no pkgs using it anymore (fixes mga#5409)

* Sat Mar 10 2012 wally <wally> 0.1.1-4.mga2
+ Revision: 222356
- change gst-farsight2 obsoletes to conflicts as all apps isn't ported to farstream yet

* Sun Mar 04 2012 mitya <mitya> 0.1.1-3.mga2
+ Revision: 217954
- Obsoletes: gstreamer0.10-farsight2

* Sat Mar 03 2012 wally <wally> 0.1.1-2.mga2
+ Revision: 217140
- fix lib pkg name
- don't regenerate gtk docs
- clean .spec

* Fri Feb 24 2012 mitya <mitya> 0.1.1-1.mga2
+ Revision: 213637
- BuildRequire GObjectIntrospection
- Initial import
- Created package structure for farstream.

